package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrOverhaulValve;

/**
 * 检修项目-阀门Mapper接口
 *
 * @author ssy
 * @date 2024-09-18
 */
public interface TPssrOverhaulValveMapper
{
    /**
     * 查询检修项目-阀门
     *
     * @param id 检修项目-阀门ID
     * @return 检修项目-阀门
     */
    public TPssrOverhaulValve selectTPssrOverhaulValveById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询检修项目-阀门列表
     *
     * @param tPssrOverhaulValve 检修项目-阀门
     * @return 检修项目-阀门集合
     */
    
    public List<TPssrOverhaulValve> selectTPssrOverhaulValveList(TPssrOverhaulValve tPssrOverhaulValve);

    /**
     * 新增检修项目-阀门
     *
     * @param tPssrOverhaulValve 检修项目-阀门
     * @return 结果
     */
    public int insertTPssrOverhaulValve(TPssrOverhaulValve tPssrOverhaulValve);

    /**
     * 修改检修项目-阀门
     *
     * @param tPssrOverhaulValve 检修项目-阀门
     * @return 结果
     */
    public int updateTPssrOverhaulValve(TPssrOverhaulValve tPssrOverhaulValve);
    public int updateTPssrOverhaulValveByIds(TPssrOverhaulValve tPssrOverhaulValve);


    public int updateAllBySubId(TPssrOverhaulValve tPssrOverhaulValve);

    /**
     * 删除检修项目-阀门
     *
     * @param id 检修项目-阀门ID
     * @return 结果
     */
    public int deleteTPssrOverhaulValveById(Long id);

    /**
     * 批量删除检修项目-阀门
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrOverhaulValveByIds(Long[] ids);
}
